summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
Diffstat (limited to 'bin')
-rwxr-xr-xbin/common-functions.sh2
-rwxr-xr-xbin/reproducible_html_howto.sh24
2 files changed, 26 insertions, 0 deletions
diff --git a/bin/common-functions.sh b/bin/common-functions.sh
index c8ffa620..2e24f47a 100755
--- a/bin/common-functions.sh
+++ b/bin/common-functions.sh
@@ -3,6 +3,8 @@
# Copyright 2014-2015 Holger Levsen <holger@layer-acht.org>
# released under the GPLv=2
+HOSTNAME=jenkins
+
common_cleanup(){
echo "$(date) - $0 stopped running as $TTT, which will now be removed."
rm -f $TTT
diff --git a/bin/reproducible_html_howto.sh b/bin/reproducible_html_howto.sh
new file mode 100755
index 00000000..e850e1c9
--- /dev/null
+++ b/bin/reproducible_html_howto.sh
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+# Copyright © 2015 Mattia Rizzolo <mattia@mapreri.org>
+# released under the GPLv=2
+
+DEBUG=false
+. /srv/jenkins/bin/common-functions.sh
+common_init "$@"
+
+. /srv/jenkins/bin/reproducible_common.sh
+
+set -e
+
+VERSION=$(git log -1 --pretty='%h')
+
+make html
+
+mkdir -pv "$BASE/howto/"
+
+mv -v html/* "$BASE/howto"
+
+irc_message "$REPRODUCIBLE_URL/howto updated to $VERSION"
+
+